Commit 1f24d5be authored by Sasha Gryaznov's avatar Sasha Gryaznov
Browse files

lil test update

parent dec5cd48
Pipeline #188052 failed with stages
in 15 seconds
......@@ -465,7 +465,7 @@ dependencies = [
[[package]]
name = "cargo-contract"
version = "1.1.1"
version = "1.1.2"
dependencies = [
"anyhow",
"assert_cmd",
......@@ -1416,8 +1416,6 @@ dependencies = [
[[package]]
name = "ink_allocator"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "156d1399accf10640ba7e712a4c5b68b938b57aae14f4698ed9a43b113bdde11"
dependencies = [
"cfg-if",
]
......@@ -1425,8 +1423,6 @@ dependencies = [
[[package]]
name = "ink_engine"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "5b3d2da83b1a6a121fc6a1d7d9b49a3273a3b9663e0ed3d486c6940890f6f718"
dependencies = [
"blake2",
"derive_more",
......@@ -1440,8 +1436,6 @@ dependencies = [
[[package]]
name = "ink_env"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "a5d465fe08377a1d92063ff6b3fa222ab337001bc70de1941884dbc8d7a7e599"
dependencies = [
"arrayref",
"blake2",
......@@ -1467,8 +1461,6 @@ dependencies = [
[[package]]
name = "ink_eth_compatibility"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "34ab970c1d9d27b4c9d3609dd048a9e49151691955806224a3107b1d31d50010"
dependencies = [
"ink_env",
"libsecp256k1",
......@@ -1477,8 +1469,6 @@ dependencies = [
[[package]]
name = "ink_lang"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "d4466ef3833f113d4b8b685550b16eece4d4fa812d6de3e7ce5725ae5e1dc44f"
dependencies = [
"derive_more",
"ink_env",
......@@ -1494,8 +1484,6 @@ dependencies = [
[[package]]
name = "ink_lang_codegen"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "3060b19aec639eea7811d36d9143c849f97a4f742bf5e43f892ad6ce8c43050a"
dependencies = [
"blake2",
"derive_more",
......@@ -1513,8 +1501,6 @@ dependencies = [
[[package]]
name = "ink_lang_ir"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "a9e32f34c687530cca8498e1c10fa1272f374981f865158f51474b19ce2dbfce"
dependencies = [
"blake2",
"either",
......@@ -1527,8 +1513,6 @@ dependencies = [
[[package]]
name = "ink_lang_macro"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "9ffcfe6b64bc9fc9ee5ac92c5655c9d4dc27ae6062addc0cba2045446dfea105"
dependencies = [
"ink_lang_codegen",
"ink_lang_ir",
......@@ -1541,8 +1525,6 @@ dependencies = [
[[package]]
name = "ink_metadata"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "7fbe60facb61034f78367fc30dc56bd5e385487ce60aefd0b1727e6b680446dc"
dependencies = [
"derive_more",
"impl-serde",
......@@ -1555,8 +1537,6 @@ dependencies = [
[[package]]
name = "ink_prelude"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "4917e51ffd6374c7be1cb030e89607a7b9384f331d47bfa7589750ff8f27fd7f"
dependencies = [
"cfg-if",
]
......@@ -1564,8 +1544,6 @@ dependencies = [
[[package]]
name = "ink_primitives"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "e1793c77ab7354147a4a0de3e0a77a31a29bf6fbd5f97192b8202c3ce2587699"
dependencies = [
"cfg-if",
"ink_prelude",
......@@ -1576,8 +1554,6 @@ dependencies = [
[[package]]
name = "ink_storage"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "5c0aead5b91524156263fa11d203f3304f55e5c4d2050949939d1f47ad82ee8f"
dependencies = [
"array-init",
"cfg-if",
......@@ -1594,8 +1570,6 @@ dependencies = [
[[package]]
name = "ink_storage_derive"
version = "3.0.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "46f9914f3149ccb6333e7d8f1fa013a4e81961cdd6e50c5ed1bbe041b870c516"
dependencies = [
"proc-macro2",
"quote",
......
......@@ -3,7 +3,7 @@ members = [".", "metadata"]
[package]
name = "cargo-contract"
version = "1.1.1"
version = "1.1.2"
authors = ["Parity Technologies <admin@parity.io>"]
build = "build.rs"
edition = "2021"
......@@ -49,8 +49,8 @@ regex = "1.5.5"
# dependencies for extrinsics (deploying and calling a contract)
async-std = { version = "1.10.0", features = ["attributes", "tokio1"] }
ink_metadata = { version = "3.0", features = ["derive"] }
ink_env = "3.0"
ink_metadata = { path="../ink/crates/metadata/", features = ["derive"] }
ink_env = {path="../ink/crates/env/"}
scale-info = { version = "2.0.1", default-features = false, features = ["derive"] }
sp-core = "6.0.0"
sp-runtime = "6.0.0"
......@@ -83,10 +83,10 @@ wabt = "0.10.0"
regex = "1.5.5"
predicates = "2.1.1"
ink_primitives = "3.0"
ink_storage = "3.0"
ink_lang = "3.0"
ink_lang_codegen = "3.0"
ink_primitives = { path="../ink/crates/primitives/" }
ink_storage = { path="../ink/crates/storage/" }
ink_lang = { path="../ink/crates/lang/" }
ink_lang_codegen = { path="../ink/crates/lang/codegen" }
[features]
# This `std` feature is required for testing using an inline contract's metadata, because `ink!` annotates the metadata
......
......@@ -73,7 +73,7 @@ mod tests {
/// Create a `cargo contract` command
fn cargo_contract(path: &Path) -> assert_cmd::Command {
let mut cmd = assert_cmd::Command::cargo_bin("cargo-contract").unwrap();
let mut cmd = assert_cmd::Command::cargo_bin(env!("CARGO_PKG_NAME")).unwrap();
cmd.current_dir(path).arg("contract");
cmd
}
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment